<template>
  <div>
    <div class="absolute bg-[#133F5D] opacity-80 top-0 left-0 w-full h-full rounded-[10px]"></div>
    <div class="absolute left-[50%] top-[50%] z-10 transform -translate-y-[50%] -translate-x-[50%] w-[320px] bg-gradient-blue-135 px-4 py-6 rounded-[10px]">
      <div class="text-white text-[15px] text-center mb-2">{{ title }}</div>
      <div class="text-white text-[13px] opacity-70 text-center mb-6">{{ desc }}</div>
      <img :src="image" class="w-[196px] mx-auto mb-6" alt="CS" />
      <button
        @click="callMethodByName(action)"
        class="h-[39px] leading-[39px] mb-6 w-full bg-[#93C854] rounded-full text-white text-[14px] text-center"
      >
        {{ buttonText }}
      </button>
      <div class="text-white text-[13px] opacity-70 text-center">
        Butuh bantuan? Hubungi kami <span class="font-bold">0821-1767-9137</span> atau klik <span class="font-bold">di sini</span>
      </div>
    </div>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus';

export default {
  name: 'Modal',
  props: {
    title: {
      type: String
    },
    desc: {
      type: String
    },
    image: {
      type: String
    },
    action: {
      type: String
    },
    buttonText: {
      type: String,
      default: 'Ya, Saya Mengerti'
    }
  },
  data() {
    return {
      csIllus: require('@/assets/images/cs-illustration1.svg'),
      agreeIllus: require('@/assets/images/kerjaSama.png'),
    }
  },
  methods: {
    callMethodByName(methodName) {
      if (typeof this[methodName] === 'function') {
        eval(`this.${methodName}()`);
      }
    },
    showChoosePlatform() {
      EventBus.$emit('show-choose-platform');
      EventBus.$emit('activate-step-2');
    },
    redo() {
      EventBus.$emit('show-loan-amount');
    },
    updateContent() {
      console.log('joooi')
      this.title = 'Siap untuk mencoba Paper.id?'
      this.desc = 'Paper.id dapat membantu Anda mendapatkan pembayaran lebih cepat untuk bisnis Anda!'
      this.image = this.agreeIllus
      this.buttonText = 'Ulangi Simulasi'
      this.action = 'redo'
    }
  }
}
</script>

<style lang="scss">
.bg-gradient-blue-135 {
  background: linear-gradient(135deg, #1E79B7 0%, #004575 100%);
}
</style>
